// This work is licensed under the Creative Commons Attribution-ShareAlike 4.0
// International Public License.
// Visit https://creativecommons.org/licenses/by-sa/4.0/.
// SPDX-License-Identifier: CC-BY-SA-4.0
//     povr version.pov
#version unofficial 3.8; // povr
#if (file_exists("version.inc"))
    #include "version.inc"
#end
#if (!defined(Fork_povr))
    #error "This POV-Ray SDL code requires the povr fork."
#end

// Example for keyword 'version' and the povr fork's version.inc mechanism to
// report in more detail what release and version of povray (povr) executable
// is actually being run.
// Credit: Newsgroup participants jr, Bald Eagle and others for helping work out
// the version.inc methodology. A methodology any POV-Ray fork can adopt.
#if (version<3.8)
    #warning concat("\nThe povr fork requires #version 3.8 or later. The version is currently: ",str(version,4,3))
#else
    #debug concat("\nThe SDL 'version' variable is currently: ",str(version,4,3),"\n")
#end

#debug concat("The povr release ",str(Fork_Release,0,0)," version is: v",
    str(Fork_Major,0,0),".",str(Fork_Minor,0,0),".",str(Fork_Revision,0,0),".",str(Fork_Patch,0,0),"\n") 

#debug concat("The povr release ",str(Fork_Release,0,0)," fork_str is: ",fork_str(1),"\n\n")

#error "\nStopping after parsing."

//--- scene ---
